Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84531 - 3.6.x has poor interpretation of DHCP et. al, but 3.7.1 does much better
Summary: 3.6.x has poor interpretation of DHCP et. al, but 3.7.1 does much better
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: tcpdump
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-18 15:54 UTC by Nick Urbanik
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-03-10 15:30:33 UTC


Attachments (Terms of Use)
A quick and rough spec file built late at night (deleted)
2003-02-18 15:59 UTC, Nick Urbanik
no flags Details

Description Nick Urbanik 2003-02-18 15:54:01 UTC
Description of problem:
The old version gives much poorer information about protocols such as DHCP
compared with current version (3.7.1 and 0.7.1 of libcap)

Version-Release number of selected component (if applicable):
All

How reproducible:
Always

Steps to Reproduce:
1. run tcpdump
2. See poor interpretation of DHCP and some other protocols
3. Wish R H staff had time to build and test tcpdump 3.7.1 and libcap 0.7.1
    
Actual results:
See poor interpretation of DHCP and some other protocols that make teaching my
students about DHCP rather hard ("tcpdump output for DHCP is pretty useless, use
Ethereal instead")  But truly, tcpdump 3.7.1 is incredibly useful for remote
debugging.

Expected results:
Somewhat better interpretation of DHCP and other protocols, such as is available
with tcpdump 3.7.1 and libcap 0.7.1.

Additional info:
Many other distributions provide 3.7.1 and 0.7.1 (Connectiva, the PLD Linux
distrubution, Mandrake Cooker), but it still is not in Rawhide or Phoebe.  I
built a new RPM, no problems.  Please include 3.7.x in RH 8.1, please, please!

Comment 1 Nick Urbanik 2003-02-18 15:59:51 UTC
Created attachment 90155 [details]
A quick and rough spec file built late at night

I know, I have only tested this briefly, and other things besides Ethereal
depend on libpcap, and you folks need to test your products properly.  But the
advantages of 3.7.1 are very tangible, and I hope your team can do what is
needed to get it into Red Hat Linux 8.1.

Hey, I just would like to say you men and women are wonderful, you get so much
done with so little, but please, please try to raise this in your priorities.


Note You need to log in before you can comment on or make changes to this bug.